import util from '../../base/utils'
import http from '../../base/httputil'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    host: app.globalData.host,
    logId:null,
    askCompany:null,
    opinion:null,
    nickname:null,
    qianming:null,
    qianming1:null,
    number:null,
    number1:null,
    lasttime:null,
    gzsTime:null,
    deptName:null,
    fcCode:null,
    checkTime:null,
    checker1Code:null,
    checker2Code:null,
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.data.logId=options.logId
    var time= util.formatDate(new Date(),'yyyy年MM月dd日')
    this.setData({
      time:time
    })
    var obj={};
    obj["logId"]=this.data.logId,
    http.send_post("/system/AppXunchaController/getFcyjgzsDetail",obj,this.detailsSuccess)
  },
  detailsSuccess(e){
    console.log(JSON.stringify(e))
    if(e.code == 200){
      this.data.lasttime=util.formatDate(new Date(e.data.fcyjgzs.lasttime),'yyyy年MM月dd日') ;
      // this.data.deptName=e.fcyjgzs.deptName;
      this.data.askCompany=e.data.fcyjgzs.askCom;
      this.data.opinion=e.data.fcyjgzs.myoption;
      this.data.nickname=e.data.fcyjgzs.checker1Sign;
      this.data.qianming=e.data.fcyjgzs.checker2Sign;
      this.data.checker1Code=e.data.fcyjgzs.checker1Code;
      this.data.checker2Code=e.data.fcyjgzs.checker2Code;
      this.data.qianming1=e.data.fcyjgzs.becheckerSign;
      this.data.checkTime=util.formatDate(new Date(e.data.fcyjgzs.checkTime),'yyyy年MM月dd日') ;
      this.data.fcCode=e.data.fcyjgzs.code;
      this.setData({
        lasttime:this.data.lasttime,
        checkTime:this.data.checkTime,
        nickname:this.data.nickname,
        opinion:this.data.opinion,
        askCompany:this.data.askCompany,
        fcCode:this.data.fcCode,
        checker1Code:this.data.checker1Code,
        checker2Code:this.data.checker2Code,
        qianming:this.data.qianming,
        qianming1:this.data.qianming1,
        deptName:this.data.deptName,
      })
    }
  },
  onShow() {
     
  
  },
  
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})