// pages/xqzggzs/xqzggzs.js
import util from '../../base/utils'
import http from '../../base/httputil'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    host: app.globalData.host,
    index:null,
    isFirst:true,
    currentTime:null,
    logId:null,
    askCompany:null,
    opinion:null,
    nickname:null,
    qianming:null,
    qianming1:null,
    number:null,
    number1:null,
    needLastTime:null,
    lasttime:null,
    gzsTime:null,
    deptName:null,
    yhzggzsCode:null,
    isFirst:true,
  },
  bindQianming() {
    wx.navigateTo({
      url: '../qianming/qianming?index=0',
    })
  },

  bindQianming1() {
    wx.navigateTo({
      url: '../qianming/qianming?index=1',
    })
  },
  bindInputOpinionArea(e){
    this.data.opinion = e.detail.value;
  },
  bindInputJianChaNumber(e){
    this.data.number = e.detail.value;
  },
  bindInputJianDuNumber(e){
    this.data.number1 = e.detail.value;
  },
  bindInputCompany(e){
    this.data.askCompany = e.detail.value;
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.data.logId=options.logId
    var time= util.formatDate(new Date(),'yyyy年MM月dd日')
    this.setData({
      time:time
    })
    var data=new Object();
    data["logId"]=this.data.logId,
    http.send_post("/system/AppXunjianController/getFCTZSdetail",data,this.detailsSuccess)
  },
  detailsSuccess(e){
    if(e.code == 200){
      this.data.needLastTime=new Date(e.data.last_time);
      this.data.lasttime=util.formatDate(new Date(e.data.last_time),'yyyy年MM月dd日') ;
      this.data.gzsTime=util.formatDate(new Date(e.data.gzs_time),'yyyy年MM月dd日') ;
      this.data.deptName=e.data.deptName;
      this.data.nickname=e.data.nickName;
      this.data.yhzggzsCode=e.data.gzs_code;
      this.setData({
        lasttime:this.data.lasttime,
        gzsTime:this.data.gzsTime,
        deptName:this.data.deptName,
        nickname:this.data.nickname,
        yhzggzsCode:this.data.yhzggzsCode,
      })
    }
  },
  onShow() {
    if(!this.data.isFirst){
      let pages = getCurrentPages();
      let currPage = pages[pages.length-1];
      this.data.index=currPage.data.index;
      if(this.data.index==0){
        this.data.qianming=currPage.data.qianming;
        if (this.data.qianming != undefined && this.data.qianming != null) {
          this.setData({
            qianming: this.data.qianming
          })
        }
      }else if(this.data.index==1){
        this.data.qianming1=currPage.data.qianming1;
        if (this.data.qianming1 != undefined && this.data.qianming1 != null) {
          this.setData({
            qianming1: this.data.qianming1
          })
        }
      }
    }
    this.data.isFirst=false
  
  },

  bindViewSubmit(){
    if(this.data.opinion==null){
      wx.showToast({
        title: '请输入意见',
        icon:'none'
      })
      return
    }
    if(this.data.askCompany==null){
      wx.showToast({
        title: '请输入咨询组织名称',
        icon:'none'
      })
      return
    }
    if(this.data.number==null){
      wx.showToast({
        title: '请输入检查人员编号',
        icon:'none'
      })
      return
    }
    if(this.data.qianming==null){
      wx.showToast({
        title: '请监督人员签名',
        icon:'none'
      })
      return
    }
    if(this.data.number1==null){
      wx.showToast({
        title: '请输入监督人员编号',
        icon:'none'
      })
      return
    }
    if(this.data.qianming1==null){
      wx.showToast({
        title: '请被复查单位负责人签名',
        icon:'none'
      })
      return
    }

    var data={};
    var bean={};
    // var tzs_items=[];   
    
    bean["logId"]=this.data.logId,
    // xqzgtzs["lasttime"]=new Date(this.data.pageData.latTime.replace("年","-").replace("月","-").replace("日","")),
    bean["askCom"]=this.data.askCompany,
    bean["myoption"]=this.data.opinion, 
    bean["lasttime"]=this.data.needLastTime, 
    bean["checker1Sign"]=this.data.nickname,
    bean["checker1Code"]=this.data.number,
    bean["checker2Sign"]=this.data.qianming,
    bean["checker2Code"]=this.data.number1,
    bean["becheckerSign"]=this.data.qianming1,
    bean["checkTime"]=new Date()
    data['tzsFcyjgzs']=bean
    http.send_post("/system/AppXunjianController/saveFCTZS",data,this.submitSuccess)
  },
  submitSuccess(e){
    if(e.code == 200){
      let page = getCurrentPages();
      let prevPage = page[page.length - 2];
      prevPage.setData({
        isRefresh:true,
      });
      wx.showToast({
        title: e.msg,
      })
      wx.navigateBack()
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})