import http from '../../base/httputil'
const app = getApp()
Page({

  onLoad() {
    //this.getXunchaList()
  },
  /**
   * 页面的初始数据
   */
  data: {
    host: app.globalData.host,
    xunchaList: null,
    /**
     * 控制上拉到底部时是否出现 "数据加载中..."
     */
    hidden: true,
    /**
     * 数据是否正在加载中，避免数据多次加载
     */
    loadingData: false,
    isRefresh: true,
    total: 0,
    pageNum: 1, // 页码
    serchValue: "",
    menulist: [{
        "id": "1",
        "url": "icon-anquanxuncha",
        "title": "巡更",
        "bindtap": ""
      },
      {
        "id": "2",
        "url": "icon-xunjian",
        "title": "巡检",
        "bindtap": "bindViewQiYeChaXun"
      },
    ],
    mainmodel: {

    }
  },

  toBindXunjinaMore(e) {
    let isrisk = e.currentTarget.dataset.isrisk
    let buslogid = e.currentTarget.dataset.buslogid
    if (isrisk == 0) {
      wx.showToast({
        title: '没有发现安全隐患,请放心!!',
        icon: "none"
      })
    } else {
      wx.navigateTo({
        url: '../xunjianmore/xunjianmore?buslogid=' + buslogid
      })
    }
    // console.log(isrisk,"####",buslogid)
  },

  // getXunchaList() {
  //   http.post("/system/AppXunchaController/getXunchaList", null, this.getXunchaListSuccess)
  // },
  getXunchaListSuccess(res) {
  
    // this.setData({
    //   xunchaList: res.rows
    // })


    if (res.code == 200) {
      // 显示加载图标
      wx.showLoading({
        title: '玩命加载中',
      })
      var that = this

      if (res.data.rows.length == 0) {
        wx.showToast({
          title: '暂无更多数据',
          icon: "none"
        })
      }
      if (this.data.isRefresh) {
        this.setData({
          xunchaList: res.data.rows,
          total: res.data.total
        })



        // 隐藏导航栏加载框
        setTimeout(function () {
          that.setData({
            loadingData: false
          });
          wx.hideNavigationBarLoading();
          // 停止下拉动作
          wx.stopPullDownRefresh();
          wx.hideLoading()

        }, 1000)

      } else {
        this.setData({
          xunchaList: this.data.xunchaList.concat(res.data.rows)
        })
        // 隐藏加载框

        setTimeout(function () {
          that.setData({
            hidden: true,
            loadingData: false
          });

          wx.hideLoading();
        }, 1000)

      }
    } else {
      console.log("@@!", "请求失败")
    }
  },
  onPullDownRefresh: function () {
    // 显示顶部刷新图标
    if (this.data.serchValue == "") {
      wx.showToast({
        title: '请输入搜索内容',
        icon: 'error'
      })
      return
    }
    wx.showNavigationBarLoading();
    var that = this;
    var loadingData = this.data.loadingData
    if (loadingData) {
      return;
    }
    that.setData({
      pageNum: 1,
      isRefresh: true
    })

    let obj = new Object()
    obj.pageNum = this.data.pageNum
    obj.busEnterpriseName = this.data.serchValue
    obj.pageSize = 10
    obj.reasonable = false
    this.list(obj)
  },
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    let that = this
    var loadingData = that.data.loadingData

    var hidden = that.data.hidden
    // 页数+1
    that.setData({
      pageNum: that.data.pageNum + 1,
      isRefresh: false
    })
    if (hidden) {
      that.setData({
        hidden: false
      });
     
    }

    if (loadingData) {
      return;
    }
    that.setData({
      loadingData: true
    });


    //console.log("@@@@"+Math.ceil(this.data.total/10))
    // if(Math.ceil(that.data.total/10)>=that.data.pageNum){
    // that.loadData();
    let obj = new Object()
    obj.pageNum = that.data.pageNum
    obj.busEnterpriseName = that.data.serchValue
    obj.pageSize = 10
    obj.reasonable = false
    that.list(obj)

    // }else{

    //   setTimeout(function () {
    //     that.setData({
    //       hidden: true,
    //     });

    //   }, 2000)
    // }


  },
  getXunchaListByEnterpriseName(e) {
    var obj = new Object()
    this.setData({
      serchValue: e.detail.value,
      teamList: [],
      hidden: true,
      loadingData: false,
      isRefresh: true,
      total: 0,
      pageNum: 1, // 页
    })
    obj.busEnterpriseName = e.detail.value
    obj.pageNum = this.data.pageNum
    obj.pageSize = 10
    obj.reasonable = false
    //obj.busEnterpriseName = e.detail.value
    this.list(obj)
  },
  list(data) {

    http.send_get("/system/AppXunchaController/getXunchaList", data, this.getXunchaListSuccess)
  },




  // // 搜索结果跳页
  // bindViewSearchEnd() {
  //   wx.navigateTo({
  //     url: '../search/search'
  //   })
  // },
  // 企业详细页
  // bindViewDetails() {
  //   wx.navigateTo({
  //     url: '../details/details'
  //   })
  // },
  // 企业查询页
  // bindViewQiYeChaXun() {
  //   wx.navigateTo({
  //     url: '../qiyechaxun/qiyechaxun'
  //   })
  // },

  menuItemClick: function (res) {
    //获取点击事件的信息
    let clickInfo = res.detail.iteminfo
    // 根据不同类型进行判别处理
    //事件的处理 代码
  }

})