// pages/xunjianmore/xunjianmore.js
import http from '../../base/httputil'
const app = getApp()
Page({
  /**
   * 页面的初始数据
   */
  data: {
    host: app.globalData.host,
    buslogid: null,
    mapdata: null,
    pictureBasePath: null,
    hiddenName: true,
    isHave_xqzgtzs: false,
    isHave_fcyjtzs: false,
    isRefresh: false,
  },
  onLoad(e) {
    this.data.buslogid = e.buslogid
    let obj = new Object()
    obj.busLogId = this.data.buslogid
    http.post("/system/AppXunjianimgController/getXunjianimgList", obj, this.getXunjianMoreListSuccess)
  },
  onShow(){
    let pages = getCurrentPages();
    let currPage = pages[pages.length - 1];
    this.data.isRefresh = currPage.data.isRefresh;
    console.log("isRefresh", this.data.isRefresh)
    if (this.data.isRefresh) {
      let obj = new Object()
      obj.busLogId = this.data.buslogid
      http.post("/system/AppXunjianimgController/getXunjianimgList", obj, this.getXunjianMoreListSuccess)
    }
  }, 
  getXunjianMoreListSuccess(res){
    this.setData({
      pictureBasePath: res.data.pictureBasePath + "/",
      mapdata: res.data.xunjianimgMap,
      isHave_xqzgtzs: res.data.isHave_xqzgtzs,
      isHave_fcyjtzs: res.data.isHave_fcyjtzs,
    })
  },
  bindViewZhengGaiJinDu(e) {
    let businspectionid = e.currentTarget.dataset.businspectionid
    console.log("more:", businspectionid)
    console.log("more:", this.data.buslogid)
    wx.navigateTo({
      url: '../zhenggaijindu/zhenggaijindu?busInspectionId=' + businspectionid + "&buslogId=" + this.data.buslogid,
    })
  },
  // 按钮显示隐藏
  shghnn: function () {
    this.setData({
      hiddenName: !this.data.hiddenName
    })
  },
  bindViewXqzgDetail(){
    wx.navigateTo({
      url: '../xqzgdetail/xqzgdetail?logId='+this.data.buslogid,
    })
  },
  bindViewFcDetail(){
    wx.navigateTo({
      url: '../fcdetail/fcdetail?logId='+this.data.buslogid,
    })
  },
  // 跳转整改进度
  bindViewXqZgGzS() {
    wx.navigateTo({
      url: '../xqzggzs/xqzggzs?logId=' + this.data.buslogid,
    })
  },
})