import http from '../../base/httputil'
import util from '../../base/utils'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    host: app.globalData.host,
    logId: null,
    pageData: null,
    qianming: null,
    qianming1: null,
    busEnterpriseId : null,
    time:null,
    index:null,
    isFirst:true,
    company:null,
    number:null,
    number1:null,
    submitdata:[],
    // {itemId:"",
    // itemContent:""}
  },
  bindViewInputCompany(e){
    this.data.company = e.detail.value;
  },
  
  bindViewInputNumber(e){
    this.data.number = e.detail.value;
  },
  
  bindViewInputNumber1(e){
    this.data.number1 = e.detail.value;
  },
  getXqzggzs2() {
    var obj = new Object()
    obj.logId = this.data.logId
    http.post('/system/AppXunjianController/getXqzggzs2', obj, this.getXqzggzs2Success);
  },
  getXqzggzs2Success(e) {
    console.log(e)
    this.setData({
      pageData: e.data
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log(options)
    this.data.logId = options.logId
    this.data.busEnterpriseId = options.busEnterpriseId
    this.getXqzggzs2()
    var time= util.formatDate(new Date(),'yyyy年MM月dd日')
    this.setData({
      time:time
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    if(!this.data.isFirst){
      let pages = getCurrentPages();
      let currPage = pages[pages.length-1];
      this.data.index=currPage.data.index;
      if(this.data.index==0){
        this.data.qianming=currPage.data.qianming;
        if (this.data.qianming != undefined && this.data.qianming != null) {
          this.setData({
            qianming: this.data.qianming
          })
        }
      }else if(this.data.index==1){
        this.data.qianming1=currPage.data.qianming1;
        if (this.data.qianming1 != undefined && this.data.qianming1 != null) {
          this.setData({
            qianming1: this.data.qianming1
          })
        }
      }
    }
    this.data.isFirst=false
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */

  onShareAppMessage() {

  },

  bindQianming() {
    wx.navigateTo({
      url: '../qianming/qianming?index=0',
    })
  },

  bindQianming1() {
    wx.navigateTo({
      url: '../qianming/qianming?index=1',
    })
  },
  submitXqzggzs2(){
    if(this.data.company==null){
      wx.showToast({
        title: '请输入咨询组织名称',
        icon:'none'
      })
      return
    }
    
    if(this.data.number==null){
      wx.showToast({
        title: '请输入检查人员编号',
        icon:'none'
      })
      return
    }
    
    if(this.data.qianming==null){
      wx.showToast({
        title: '请监督人员签名',
        icon:'none'
      })
      return
    }
    
    if(this.data.number1==null){
      wx.showToast({
        title: '请输入监督人员编号',
        icon:'none'
      })
      return
    }
    
    if(this.data.qianming1==null){
      wx.showToast({
        title: '请被复查单位负责人签名',
        icon:'none'
      })
      return
    }
    // if(this.data.pageData!=null&&this.data.pageData.riskInspections!=null){
    //   let array=this.data.pageData.riskInspections;
    //   let listdata;
      
    //     for(var i=0;i<array.length;i++){
    //       this.setData({
    //         [`submitdata[${i}].itemId `]: array[i].busItemsId,
    //         [`submitdata[${i}].itemContent `]: array[i].busItemsName,
    //       })
    //     } 
    //     console.log("TAG",this.data.submitdata)
    // }
    // http.post("/system/AppXunjianController/submitXqzggzs2",null,this.submitXqzggzs2Success)
    // var data={};
    var xqzgtzs={};
    // var tzs_items=[];   
    // data["tzs_items"]=this.data.pageData.riskInspections,
    xqzgtzs["logId"]=this.data.logId,
    xqzgtzs["enterpriseId"]=this.data.busEnterpriseId,
    xqzgtzs["lastTime"]=new Date(this.data.pageData.latTime.replace("年","-").replace("月","-").replace("日","")),
    xqzgtzs["askCom"]=this.data.company,
    xqzgtzs["checker1Sign"]=this.data.pageData.nickName,
    xqzgtzs["checker1Code"]=this.data.number,
    xqzgtzs["checker2Sign"]=this.data.qianming,
    xqzgtzs["checker2Code"]=this.data.number1,
    xqzgtzs["becheckerSign"]=this.data.qianming1,
    xqzgtzs["checkTime"]=new Date()
    // data["xqzgtzs"]=xqzgtzs

    let data=new Object();
    data.tzs_items=this.data.pageData.riskInspections;
    data.xqzgtzs=xqzgtzs;

    http.send_post("/system/AppXunjianController/saveZGTZS",data,this.submitXqzggzs2Success)
  },
  submitXqzggzs2Success(e){
    if(e.code == 200){
      wx.showToast({
        title: '操作成功',
      })
      wx.navigateBack()
    }
  }


})